%global majorver    3.10.2
%global rpmminorver .%(echo %preminorver | sed -e 's|^\\.\\.*||')
%global fullver %{majorver}%{?preminorver}
%global gem_name    rspec-mocks
%global need_bootstrap_set  0
%undefine __brp_mangle_shebangs
Summary:             RSpec's 'test double' framework (mocks and stubs)
Name:                rubygem-%{gem_name}
Version:             %{majorver}
Release:             1
License:             MIT
URL:                 http://github.com/rspec/rspec-mocks
Source0:             https://rubygems.org/gems/%{gem_name}-%{fullver}.gem
Source1:             https://github.com/rspec/%{gem_name}/archive/v%{version}.tar.gz
BuildRequires:       rubygems-devel
%if 0%{?need_bootstrap_set} < 1
BuildRequires:       rubygem(rspec) rubygem(thread_order) git
%endif
BuildArch:           noarch
%description
rspec-mocks provides a test-double framework for rspec including support
for method stubs, fakes, and message expectations.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
%description doc
This package contains documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version} -b 1
ln -s %{gem_name}-{majorver}/spec spec
gem specification %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
    %{buildroot}%{gem_dir}/
rm -f %{buildroot}%{gem_instdir}/{.document,.yardopts}
%if 0%{?need_bootstrap_set} < 1

%check
LANG=C.UTF-8
ruby -rrubygems -Ilib/ -S rspec spec/
%endif

%files
%dir    %{gem_instdir}
%license    %{gem_instdir}/LICENSE.md
%doc    %{gem_instdir}/Changelog.md
%doc    %{gem_instdir}/README.md
%{gem_instdir}/lib/
%exclude    %{gem_cache}
%{gem_spec}

%files doc
%{gem_docdir}

%changelog
* Wed Jun 29 2022 liyanan <liyanan32@h-partners.com> - 3.10.2-1
- Upgrade to version 3.10.2

* Mon Aug 24 2020 xiezheng <xiezheng4@huawei.com> - 3.8.1-1
- package init
